{% extends 'x86.jinja2' %}
{% set power_on_command = 'ipmitool -U ADMIN -P ADMIN -I lanplus -H 172.27.19.24 chassis power on' %}
{% set power_off_command = 'ipmitool -U ADMIN -P ADMIN -I lanplus -H 172.27.19.24 chassis power off' %}
{% set hard_reset_command = [
 'ipmitool -U ADMIN -P ADMIN -I lanplus -H 172.27.19.24 chassis power reset',
 'sleep 5',
 'ipmitool -U ADMIN -P ADMIN -I lanplus -H 172.27.19.24 chassis power on']
%}
{% set connection_command = 'telnet lngmaster 7319' %}
{% set lava_mac = '68:05:ca:40:16:9c' %}
{% set boot_interface = 'net0' %}
{% set interfaces = [
 'MAC 9C',
 'MAC 1A',
 'MAC 1B',
 'MAC 70 (QSFP+)',
 'MAC 78 (QSFP+)',
 'MAC 56 (SFP+)',
 'MAC 57 (SFP+)']
%}
{% set map = {
 'MAC 9C': {'lngswitch01': 11},
 'MAC 1A': {'lngswitch01': 15},
 'MAC 1B': {'lngswitch01': 10},
 'MAC 70 (QSFP+)': {'lngswitch04': 19},
 'MAC 78 (QSFP+)': {'lngswitch04': 21},
 'MAC 56 (SFP+)': {'lngswitch04': 6},
 'MAC 57 (SFP+)': {'lngswitch04': 7}}
%}
{% set tags = {
 'MAC 9C': [],
 'MAC 1A': ['RJ45', '1G'],
 'MAC 1B': ['RJ45', '1G'],
 'MAC 70 (QSFP+)': ['QSFP+', '100G'],
 'MAC 78 (QSFP+)': ['QSFP+', '100G'],
 'MAC 56 (SFP+)': ['SFP+', '25G'],
 'MAC 57 (SFP+)': ['SFP+', '25G']}
%}
{% set sysfs = {
 'MAC 9C': '/sys/devices/pci0000:16/0000:16:00.0/0000:17:00.0/net',
 'MAC 1A': '/sys/devices/pci0000:16/0000:16:02.0/0000:18:00.0/0000:19:03.0/0000:1a:00.0/net',
 'MAC 1B': '/sys/devices/pci0000:16/0000:16:02.0/0000:18:00.0/0000:19:03.0/0000:1a:00.1/net',
 'MAC 70 (QSFP+)': '/sys/devices/pci0000:b2/0000:b2:00.0/0000:b3:00.4/net/enp179s0f4',
 'MAC 78 (QSFP+)': '/sys/devices/pci0000:b2/0000:b2:00.0/0000:b3:00.4/net/enp179s0f4d1',
 'MAC 56 (SFP+)': '/sys/devices/pci0000:64/0000:64:00.0/0000:65:00.0/net',
 'MAC 57 (SFP+)': '/sys/devices/pci0000:64/0000:64:00.0/0000:65:00.1/net'}
%}
{% set mac_addr = {
 'MAC 9C': '68:05:ca:40:16:9c',
 'MAC 1A': 'ac:1f:6b:0d:e7:1a',
 'MAC 1B': 'ac:1f:6b:0d:e7:1b',
 'MAC 70 (QSFP+)': '00:07:43:3f:6a:70',
 'MAC 78 (QSFP+)': '00:07:43:3f:6a:78',
 'MAC 56 (SFP+)': '24:8a:07:1e:2e:56',
 'MAC 57 (SFP+)': '24:8a:07:1e:2e:57'}
%}

{% set sync_to_lava = {'device_type': 'x86', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}